attrs==23.1.0
Automat==22.10.0
certifi==2022.12.7
cffi==1.15.1
chardet==3.0.4
constantly==15.1.0
cryptography==40.0.2
cssselect==1.2.0
decorator==5.1.1
hiredis==2.2.3
hyperlink==21.0.0
idna==2.10
incremental==22.10.0
jmespath==1.0.1
kafka-python==2.0.1
lxml==4.9.2
numpy==1.24.3
packaging==23.1
parsel==1.8.1
Pillow==7.1.2
Protego==0.2.1
protobuf==3.12.2
pyasn1==0.5.0
pyasn1-modules==0.3.0
pycparser==2.21
PyDispatcher==2.0.7
pyOpenSSL==23.1.1
queuelib==1.6.2
redis==3.4.1
redisbloom==0.3.2
requests==2.23.0
rmtest==0.7.0
Scrapy~=2.9.0
scrapy-redis==0.7.1
scrapy-selenium==0.0.7
scrapy-splash==0.9.0
selenium==3.141.0
service-identity==21.1.0
simhash==2.0.0
six==1.16.0
Twisted==22.10.0
typing_extensions==4.5.0
urllib3==1.25.11
validators==0.15.0
w3lib==1.21.0
zope.interface==6.0

setuptools~=67.7.2
PyMySQL~=1.0.3
exif~=1.6.0